﻿@using System.Web.UI.WebControls;
@using Toyota.Common.Web.Html;
@using Toyota.Common.Web.MVC;
@using Toyota.Common.Web.Html.Helper;
@using DevExpress.Web;
@using DevExpress.Web.Mvc;
@using Portal.Models.Supplier;
@using Portal.Models.PartInfo;
@using Portal.Models.Globals;

@model Toyota.Common.Web.MVC.ModelHolder
@*@using (Html.BeginForm("PartialLPOPConfirmation", "SupplierProfile", FormMethod.Post, new { enctype = "multipart/form-data" }))
{*@
<table cellpadding="0" cellspacing="0">
    <tr>
        <td>
            @Html.DevExpress().Label(
                label =>
                {
                    label.ControlStyle.CssClass = "Label";
                    label.Text = "Dock Code";
                    label.Style.Add("padding-right", "10px");
                }).GetHtml()
        </td> 
        <td align="right">
            @Html.Common().DevExpress().GridLookup(
                gridLookup =>
                {
                    gridLookup.Name = "OIHDockCodeUtilPlane";
                    gridLookup.Width = 150;
                    gridLookup.GridProperties.KeyFieldName = "DockCode";
                    gridLookup.GridProperties.CallbackRouteValues = new { Controller = "UtilPlane", Action = "PartialHeaderDockGridHeaderUtilPlane" };
                    gridLookup.GridProperties.SettingsBehavior.AllowSelectSingleRowOnly = true;
                    gridLookup.ReadOnly = true;
                    gridLookup.GridProperties.Columns.Add(column =>
                    {
                        column.Name = "DockCode";
                        column.FieldName = "DockCode";
                        column.Caption = "Dock<br />Code";
                        column.Width = Unit.Pixel(80);
                        column.CellStyle.HorizontalAlign = HorizontalAlign.Center;
                        column.CellStyle.VerticalAlign = VerticalAlign.Middle;
                    });
                    gridLookup.GridProperties.Columns.Add(column =>
                    {
                        column.Name = "DockName";
                        column.FieldName = "DockName";
                        column.Caption = "Dock<br />Name";
                        column.Width = Unit.Pixel(350);
                        column.CellStyle.HorizontalAlign = HorizontalAlign.Left;
                        column.CellStyle.VerticalAlign = VerticalAlign.Middle;
                    });
                }).Bind(ViewData["GridDock"]).GetHtml()
        </td>
        
     <td style="width:20px"></td> @* column spacing *@
        <td>
           
        </td>
        <td>
            @Html.Common().DevExpress().GridLookup(
                gridLookup =>
                {
                    gridLookup.Name = "OIHSupplierOptionUtilPlane";
                    gridLookup.Width = 150;
                    gridLookup.GridProperties.KeyFieldName = "SUPPLIER_CODE_PLANT";
                    gridLookup.GridProperties.CallbackRouteValues = new { Controller = "UtilPlane", Action = "PartialHeaderSupplierLookupGridUtilPlane" };
                    gridLookup.GridProperties.SettingsBehavior.AllowSelectSingleRowOnly = false;
                    gridLookup.Visible = false;
                    gridLookup.GridProperties.Columns.Add(column =>
                    {
                        column.Name = "SUPPLIER_CODE_PLANT";
                        column.FieldName = "SUPPLIER_CODE_PLANT";
                        column.Caption = "Supplier<br /> Code";
                        column.Width = Unit.Pixel(80);
                        column.CellStyle.HorizontalAlign = HorizontalAlign.Center;
                        column.CellStyle.VerticalAlign = VerticalAlign.Middle;
                        
                    });
                   
                    gridLookup.GridProperties.Columns.Add(column =>
                    {
                        column.Name = "SUPPLIER_NAME";
                        column.FieldName = "SUPPLIER_NAME";
                        column.Caption = "Supplier<br />Name";
                        column.Width = Unit.Pixel(500);
                        column.CellStyle.HorizontalAlign = HorizontalAlign.Left;
                        column.CellStyle.VerticalAlign = VerticalAlign.Middle;
                    });

                }).Bind(ViewData["GridSupplier"]).GetHtml()
        </td>   
        <td style="width:20px"></td> @* column spacing *@
        <td>
           
        </td>
        <td>
            @Html.Common().DevExpress().GridLookup(
                gridLookup =>
                {
                    gridLookup.Name = "OIHPartOptionPartInfo";
                    gridLookup.Width = 150;
                    gridLookup.GridProperties.KeyFieldName = "PART_NO";
                    gridLookup.GridProperties.CallbackRouteValues = new { Controller = "PartInfo", Action = "PartialHeaderPartLookupGridPartInfo" };
                    gridLookup.Visible = false;
                    gridLookup.GridProperties.Columns.Add(column =>
                    {
                        column.Name = "PART_NO";
                        column.FieldName = "PART_NO";
                        column.Caption = "Part<br />No";
                        column.Width = Unit.Pixel(150);
                        column.CellStyle.HorizontalAlign = HorizontalAlign.Center;
                        column.CellStyle.VerticalAlign = VerticalAlign.Middle;
                    });

                    gridLookup.GridProperties.Columns.Add(column =>
                    {
                        column.Name = "PART_NAME";
                        column.FieldName = "PART_NAME";
                        column.Caption = "Part<br />Name";
                        column.Width = Unit.Pixel(500);
                        column.CellStyle.HorizontalAlign = HorizontalAlign.Left;
                        column.CellStyle.VerticalAlign = VerticalAlign.Middle;
                    });
                }).Bind(ViewData["GridPart"]).GetHtml()
        </td>
       
         <td align="right">
           @Html.DevExpress().Button(
                button =>
                {
                    button.Name = "btnSearchUtilPlane";
                    button.Text = "Search";
                    button.Width = Unit.Pixel(80);
                    button.Style.Add("display", "inline-table");
                    button.ClientSideEvents.Click = "SearchData";
                }).GetHtml()
            @Html.DevExpress().Button(
                button =>
                {
                    button.Name = "btnClearUtilPlane";
                    button.Text = "Clear";
                    button.Width = Unit.Pixel(80);
                    button.Style.Add("display", "inline-table");
                    button.ClientSideEvents.Click = "ClearItem";
                }).GetHtml()
            @Html.DevExpress().Button(
                button =>
                {
                    button.Name = "btnDownloadListUtilPlane";
                    button.Text = "Download";
                    button.Width = Unit.Pixel(100);
                    button.Style.Add("display", "inline-table");
                    button.ClientSideEvents.Click = "OnDownloadTemplateLinkClick";

                }).GetHtml()       
                 @Html.DevExpress().Button(
                button =>
                {
                    button.Name = "btnAddUtilPlane";
                    button.Text = "New";
                    button.Width = Unit.Pixel(80);
                    button.Style.Add("display", "inline-table");
                    button.ClientSideEvents.Click = "AddUtilPlane";
                }
            ).GetHtml()
         </td>
    
    </tr>
</table>
<div style="height:15px;"></div> @* div spacing *@
<table cellpadding="0" cellspacing="0" width="100%">
    <tr>
        <td align="right"style="padding-right:10px;">
                  
        </td>         
    </tr>
</table>
@*}*@